%define _use_internal_dependency_generator 0

Name: perl-Net-Telnet
Version: 3.03
Release: 2.XOS.1
Summary: Net-Telnet Perl module
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/~jrogers/Net-Telnet-3.03/lib/Net/Telnet.pm
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: Net-Telnet-%{version}.tar.gz
BuildArch: noarch
BuildRequires: perl-Digest-HMAC

%description
Net::Telnet allows you to make client connections to a TCP port and do network I/O,
especially to a port using the TELNET protocol. Simple I/O methods such as print,
get, and getline are provided. More sophisticated interactive features are provided
because connecting to a TELNET port ultimately means communicating with a program
designed for human interaction. These interactive features include the ability to
specify a time-out and to wait for patterns to appear in the input stream, such as
the prompt from a shell.


%prep
%setup -q -n Net-Telnet-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
make
make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > Net-Telnet-%{version}-filelist
if [ "$(cat Net-Telnet-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f Net-Telnet-%{version}-filelist
%defattr(-,root,root)

%changelog
* Fri Aug 20 2004 X/OS Linux Team <xoslinux@xos.nl> 3.03-2.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on perl-Net-Telnet-3.03-2.src.rpm
  (md5sum of original source rpm: 4c402b0805bbf27cfc32b788788b28d7).

* Fri Feb 13 2004 Jonathan Brassow <jbrassow@redhat.com>
- initial import
